org.apache.solr.common.cloud

## Interface LiveNodesListener

    public interface LiveNodesListener

Listener that can be used with `ZkStateReader.registerLiveNodesListener(LiveNodesListener)` and called whenever the live nodes set changes.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `onChange(SortedSet<String> oldLiveNodes, SortedSet<String> newLiveNodes)` Called when a change in the live nodes set occurs.

### Method Detail

#### onChange

    boolean onChange(SortedSet<String> oldLiveNodes,
                     SortedSet<String> newLiveNodes)

Called when a change in the live nodes set occurs. Note that, due to the way Zookeeper watchers are implemented, a single call may be the result of several state changes

Parameters:
  `oldLiveNodes` - set of live nodes before the change
  `newLiveNodes` - set of live nodes after the change
Returns:
  true if the listener should be removed